"""
REST API URL configuration for Themis.
"""
from django.urls import include, path
from rest_framework.routers import DefaultRouter

from themis.api import views

router = DefaultRouter()
router.register(r"profiles", views.UserProfileViewSet, basename="profile")
router.register(r"keys", views.UserAPIKeyViewSet, basename="apikey")
router.register(
    r"notifications", views.UserNotificationViewSet, basename="notification"
)

app_name = "themis-api"

urlpatterns = [
    path("", include(router.urls)),
]
